Bug 185548 - [NEW PORT] www/py-django-picklefield: Pickled object field for Django
Summary: [NEW PORT] www/py-django-picklefield: Pickled object field for Django
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-07 11:20 UTC by Johannes Meixner
Modified: 2014-01-12 20:50 UTC (History)
0 users

See Also:


Attachments
.shar (1.95 KB, text/plain)
2014-01-07 11:20 UTC, Johannes Meixner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-01-07 11:20:00 UTC
picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

It is incredibly useful for storing just about anything in the database
(provided it is Pickle-able, of course) when there isn't a 'proper' field for
the job.

WWW: https://github.com/gintas/django-picklefield

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-07 11:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Rusmir Dusko freebsd_committer 2014-01-10 18:16:31 UTC
Responsible Changed
From-To: freebsd-python->nemysis

I'll take it.
Comment 3 Rusmir Dusko freebsd_committer 2014-01-12 20:44:10 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2014-01-12 20:44:33 UTC
Author: nemysis
Date: Sun Jan 12 20:44:24 2014
New Revision: 339546
URL: http://svnweb.freebsd.org/changeset/ports/339546

Log:
  picklefield provides an implementation of a pickled object field.
  Such fields can contain any picklable objects.
  
  It is incredibly useful for storing just about anything in the database
  (provided it is Pickle-able, of course) when there isn't a 'proper' field
  for the job.
  
  WWW: https://pypi.python.org/pypi/django-picklefield/
  
  PR:		ports/185548
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>

Added:
  head/www/py-django-picklefield/
  head/www/py-django-picklefield/Makefile   (contents, props changed)
  head/www/py-django-picklefield/distinfo   (contents, props changed)
  head/www/py-django-picklefield/pkg-descr   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Sun Jan 12 20:41:27 2014	(r339545)
+++ head/www/Makefile	Sun Jan 12 20:44:24 2014	(r339546)
@@ -1506,6 +1506,7 @@
     SUBDIR += py-django-mptt
     SUBDIR += py-django-openid-auth
     SUBDIR += py-django-photologue
+    SUBDIR += py-django-picklefield
     SUBDIR += py-django-pipeline
     SUBDIR += py-django-piston
     SUBDIR += py-django-profiles

Added: head/www/py-django-picklefield/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-django-picklefield/Makefile	Sun Jan 12 20:44:24 2014	(r339546)
@@ -0,0 +1,31 @@
+# Created by: Johannes Meixner <xmj@chaot.net>
+# $FreeBSD$
+
+PORTNAME=	picklefield
+PORTVERSION=	0.3.1
+CATEGORIES=	www python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}django-
+DISTNAME=	django-${PORTNAME}-${PORTVERSION}
+
+MAINTAINER=	xmj@chaot.net
+COMMENT=	Pickled object field for Django
+
+LICENSE=	MIT
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}django>=0:${PORTSDIR}/www/py-django \
+		${PYTHON_PKGNAMEPREFIX}six>=0:${PORTSDIR}/devel/py-six
+
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
+
+PORTDOCS=	README
+
+OPTIONS_DEFINE=	DOCS
+
+post-install:
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/www/py-django-picklefield/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-django-picklefield/distinfo	Sun Jan 12 20:44:24 2014	(r339546)
@@ -0,0 +1,2 @@
+SHA256 (django-picklefield-0.3.1.tar.gz) = d99426be46fd92fe6b64b9f5c5926ea9859394e44ec3ef9e1f7c647d3a26657f
+SIZE (django-picklefield-0.3.1.tar.gz) = 10410

Added: head/www/py-django-picklefield/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/py-django-picklefield/pkg-descr	Sun Jan 12 20:44:24 2014	(r339546)
@@ -0,0 +1,8 @@
+picklefield provides an implementation of a pickled object field.
+Such fields can contain any picklable objects.
+
+It is incredibly useful for storing just about anything in the database
+(provided it is Pickle-able, of course) when there isn't a 'proper' field
+for the job.
+
+WWW: https://pypi.python.org/pypi/django-picklefield/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"